[问题]我的u现在无法从源代码编译安装软件.急

编译安装或者制作Deb包
回复
firef
帖子: 20
注册时间: 2007-07-22 1:05
送出感谢: 0
接收感谢: 0

[问题]我的u现在无法从源代码编译安装软件.急

#1

帖子 firef » 2007-09-16 16:46

解压源码包之后./configure时出现

代码: 全选

checking how to run the C preprocessor... /lib/cpp
configure: error: C preprocessor "/lib/cpp" fails sanity check
See `config.log' for more details. 
的错误代码.
编译所有的软件时都这样.
求助,急.
[/code]
firef
帖子: 20
注册时间: 2007-07-22 1:05
送出感谢: 0
接收感谢: 0

#2

帖子 firef » 2007-09-17 18:26

怎么没有人回复呀?
我很急呀!
解决不了这个问题的话我就准备用arch了。
谢谢大家呀。
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#3

帖子 BigSnake.NET » 2007-09-17 18:35

wiki.ubuntu.org.cn

遇到问题不搜索用什么系统都一样
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
firef
帖子: 20
注册时间: 2007-07-22 1:05
送出感谢: 0
接收感谢: 0

#4

帖子 firef » 2007-09-17 18:57

不是我不去查,而是查不到。
我怀疑是不是C preprocessor这个程序出了什么问题。
重新安装gcc,g++,cpp都无法解决问题。
头像
ttand
帖子: 1743
注册时间: 2005-08-22 14:05
来自: 离开北京
送出感谢: 1 次
接收感谢: 3 次

#5

帖子 ttand » 2007-09-20 18:37

安装了 build-essential
没有??
回复

回到 “编译或打包”